Rated 4 out of 5 stars

Please update version 2.0 because the extension is not working. It is not working with Firefox 3.5.5, Adblock Plus 1.1.1

This review is for a previous version of the add-on (2.0). 

Firefox 3.5.4

it seems the Firefox 3.5.4 update broke the add-on. It really shouldn't do that. However, I just put an update here that fixes the problem. Let's hope it doesn't take another 3 months to review this update...

Rated 4 out of 5 stars

This is a must have add-on in addition to Ad Block Plus, BUT it does not work with the new version of ABP 1.0. Can somebody fix it please?!

This review is for a previous version of the add-on (1.5+).